Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class Version

    java.lang.Object
      org.jasig.portal.Version

    public class Version

extends java.lang.Object

Contains version information about the current release.

Version:
  $Revision: 1.8.2.8 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private static java.lang.String` | `extra`
`private static java.lang.String` | `major`
`private static java.lang.String` | `minor`
`private static java.lang.String` | `patch`
`private static java.lang.String` | `product`
`private static java.lang.String` | `releaseTag`
`private static java.lang.String` | `security`
`private static java.lang.String` | `version`

Constructor Summary
`Version()`

Method Summary
`static java.lang.String` | `getExtra()` Returns any extra string used to construct this version.
`static java.lang.String` | `getMajor()` Returns the major version.
`static java.lang.String` | `getMinor()` Returns the minor version.
`static java.lang.String` | `getPatch()` Returns the patch version.
`static java.lang.String` | `getProduct()` Returns the product name.
`static java.lang.String` | `getProductAndVersion()` Returns a display-friendly string representing the current product and version.
`static java.lang.String` | `getReleaseTag()` Returns the release tag in the CVS repository corresponding to the current code.
`static java.lang.String` | `getSecurity()` Returns the security version.
`static java.lang.String` | `getVersion()` Returns the version of the current code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### product

    private static java.lang.String product

### major

    private static java.lang.String major

### minor

    private static java.lang.String minor

### patch

    private static java.lang.String patch

### security

    private static java.lang.String security

### extra

    private static java.lang.String extra

### releaseTag

    private static java.lang.String releaseTag

### version

    private static java.lang.String version

Constructor Detail

### Version

    public Version()

Method Detail

### getProduct

    public static java.lang.String getProduct()

  Returns the product name. For example, this would return `uPortal` for uPortal 2.3.4.

  Returns:
    the product name

### getMajor

    public static java.lang.String getMajor()

  Returns the major version. For example, this would return `2` for uPortal 2.3.4.

  Returns:
    the major version

### getMinor

    public static java.lang.String getMinor()

  Returns the minor version. For example, this would return `3` for uPortal 2.3.4.

  Returns:
    the minor version

### getPatch

    public static java.lang.String getPatch()

  Returns the patch version. For example, this would return `4` for uPortal 2.3.4. This method may return an empty String.

  Returns:
    the patch version

### getSecurity

    public static java.lang.String getSecurity()

  Returns the security version. For example, this would return `1` for uPortal 2.3.4.1. This method may return an empty String.

  Returns:
    the security version

### getExtra

    public static java.lang.String getExtra()

  Returns any extra string used to construct this version. For example, this would return `+` for uPortal 2.3.4+. A plus sign is used to denote that the code is between releases, the head of a branch in CVS. This method may return an empty String.

  Returns:
    the extra string, if any

### getReleaseTag

    public static java.lang.String getReleaseTag()

  Returns the release tag in the CVS repository corresponding to the current code. For example, `rel-2-3-4`.

  Returns:
    the release tag matching the running code

### getVersion

    public static java.lang.String getVersion()

  Returns the version of the current code. For example, `2.3.4`.

  Returns:
    the current version of the running code

### getProductAndVersion

    public static java.lang.String getProductAndVersion()

  Returns a display-friendly string representing the current product and version. For example, `uPortal 2.3.4`.

  Returns:
    a verison string suitable for display

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD